:userdoc.
:docprof toc=123456.
.nameit symbol=lsw text='lSwitcher'
.nameit symbol=tmtl text='List'
.nameit symbol=pmpw text='Popup'
.nameit symbol=tb text='Taskbar'
.nameit symbol=wgt text='Widget'
.nameit symbol=pd text='Priority dialog'
.nameit symbol=owl text='OS/2 Window List'
.nameit symbol=sm text='Sticky Mode'
.nameit symbol=ahm text='Auto-hide Mode'
.nameit symbol=pn text='Properties notebook'
.nameit symbol=mb1 text='mouse button 1'
.nameit symbol=mb2 text='mouse button 2'
.nameit symbol=mb3 text='mouse button 3'
.nameit symbol=mb12 text='mouse buttons 1 and 2'
.nameit symbol=tg text='Task Group'
:title.&lsw. Help
.* Subject: lSwitcher User Guide
.* Version: 202009133
.* Copyright: 1997-2009 Andrei Los; 2010-2020 Netlabs lSwitcher Team
.* Author: Andrei Los, Gregg Young, Andy Willis, Lewis Rosenthal,
.* Alfredo Fernndez Daz, et al.

.* ----------------------------------------------------------------------------
:h1 res=30001 id='description'
    x=left y=bottom width=100% height=100%.Description

:artwork align=center name='lswitch.bmp'.

:p.:hp2.&lsw.:ehp2. is a powerful task switcher application for OS/2, ArcaOS,
and eComStation, an enhanced replacement for the standard Alt-Tab switcher,
implemented as a Presentation Manager (PM) popup window
(:hp2.:link reftype=hd refid='30003'.&pmpw.:elink.:ehp2.),
a text mode task list (:hp2.:link reftype=hd refid='40003'.&tmtl.:elink.:ehp2.)
for full screen OS/2 and DOS sessions, a feature-rich task bar
(:hp2.:link reftype=hd refid='30004'.&tb.:elink.:ehp2.), and an XWorkplace
XCenter widget (:hp2.:link reftype=hd refid='30004'.&wgt.:elink.:ehp2.)
with functions similar to the :hp2.&tb.:ehp2..

:p.:hp2.&lsw.:ehp2. is aware of and works well in conjunction with multiple
virtual desktops, particularly those created and managed by ArcaOS Desktop /
XWorkplace.

:p.In order to provide access to :hp2.&lsw.'s &tmtl.:ehp2. from full screen DOS
sessions, a DOS TSR
(:link reftype=hd refid='40003'.Terminate Stay Resident:elink.) application
is included.


.* ----------------------------------------------------------------------------
:h1 res=30002 id='30002'
    x=left y=bottom width=100% height=100%.Setup

:hp2.&lsw.:ehp2. is distributed as a WarpIN package. We strongly recommend you
uninstall any previous version. If you have previously installed the
:hp2.&wgt.:ehp2., you will need to manually remove it if you plan on using the
:hp2.&lsw. &tb.:ehp2.. If you have a version prior to 2.80 installed you will
need to manually uninstall it. Only install the components you intend to use.
Some additional configuration may be required in order to get the most out of
the application. A reboot may be required after installing, as the :hp2.&lsw.
hook:ehp2. may fail to unload from memory in some cases. Always try a reboot
before reporting problems.

:note. The :hp2.&lsw. hook:ehp2. and :hp2.&lsw. common:ehp2. packages are
required for all installs.


:p.The :hp2.&tb.:ehp2. and the :hp2.&wgt.:ehp2. cannot be used at the same
time. If the :hp2.&tb.:ehp2. is desired, install the :hp2.&lsw. &tb.:ehp2.
package and don't install the :hp2.&lsw. &wgt. for X(e)Center:ehp2. package.
:p.If you want &lsw. to start automatically, create a shadow of the program
object in the Startup folder, or add :hp2.LSWITCH.EXE:ehp2. to
:hp2.STARTUP.CMD:ehp2.. Alternatively, :hp2.&lsw.:ehp2. may be started
manually from its Workplace Shell (WPS) object or :hp2.LSWITCH.EXE:ehp2.
may be run from an OS/2 command prompt from its installed location.
The :hp2./I:ehp2. command line option may be used to specify
the :link reftype=fn refid='INI'.settings file:elink. to use.
:hp2.LSWITCH.INI:ehp2. created on the first startup of
the :hp2.&tb.:ehp2. in the :hp2.&lsw.:ehp2. install directory is the default.

:note.The :link reftype=hd refid='30032'.resource file:elink.
(:hp2.LSWRES*.DLL:ehp2.) must be located in the program directory. The WPS hook
(:hp2.LSWHOOK.DLL:ehp2.) must either be located in the program directory or in
a directory specified in :hp2.LIBPATH:ehp2..

:p.To use the :hp2.&wgt.:ehp2., install the
:hp2.&lsw. &wgt. for X(e)Center:ehp2. package. When using the :hp2.&wgt.:ehp2.,
:hp2.LSWHOOK.DLL:ehp2. must be in a directory specified in :hp2.LIBPATH :ehp2..
After restarting the XCenter, :hp2.&lsw.:ehp2. will be available as a
new widget to add. During initialization, the :hp2.&wgt.:ehp2. will create its
:link reftype=fn refid='INI'.settings file:elink. in the
:hp2.PLUGINS\XCENTER:ehp2. subdirectory.

:note. Simply placing the :hp2.&wgt.:ehp2. in the :hp2.PLUGINS\XCENTER:ehp2.
subdirectory (installed or not), will prevent the :hp2.&tb.:ehp2. from
opening if the XCenter is open.

:p.To be able to use the :hp2.&tmtl.:ehp2. in full screen DOS sessions, it
is necessary to install the :hp2.&lsw. DOS TSR:ehp2. package and load
the :hp2.LSWITCHD.EXE:ehp2. TSR in each full screen DOS
session or add it (along with the full path to the program file) to
:hp2.AUTOEXEC.BAT:ehp2..

:note text='Note 1'.The path to :hp2.LSWITCHD.EXE:ehp2. must be
:link reftype=fn refid='TSR1'.DOS-accessible:elink.. The default is
&lt.BootDrive&gt.&colon.\OS2\MDOS\LSWDOS.


:note text='Note 2'.The DOS TSR (:hp2.LSWITCHD.EXE:ehp2.) depends
upon :hp2.&lsw.:ehp2. itself (either the :hp2.&tb.:ehp2. or the
:hp2.&wgt.:ehp2.) to be running :link reftype=fn refid='TSR2'.in order to
function:elink..


:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=fn refid='debug'.Note on errors and debugging:elink.
:edl.


.* ----------------------------------------------------------------------------
:h1 res=30003 id='30003'
    x=left y=bottom width=100% height=100%.Popup

:hp2.Activation:ehp2.

:p.The :hp2.&pmpw.:ehp2. (or, in full screen sessions, the
:link reftype=hd refid='40003'.&tmtl.:elink.) is displayed upon pressing the
:link reftype=hd refid='Popup window page 1'.activation key combination:elink.
(:hp1.Alt+Tab:ehp1. by default, or alternatively, :hp1.Ctrl+Tab:ehp1..

:p.:hp2.Navigation:ehp2.

:p.Browse forward through the list of running tasks by holding the
:hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key down while pressing the
:hp1.Tab:ehp1. key repeatedly. Browse backwards by also holding the
:hp1.Shift:ehp1. key. Alternatively, you may browse through the list
(up, down, left, right) using the cursor
controls. When the desired task has been selected, simply release the
:hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key. To cancel the selection
and return to the original task, press :hp1.Spacebar:ehp1. before
releasing the :hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key, which
will dismiss the :hp2.&pmpw.:ehp2..

:p.Another method for selecting a running task from the :hp2.&pmpw.:ehp2. is by
clicking on it with &mb1..
Clicking &mb2. on a running task displays its :hp2.&lsw.:ehp2.
context menu. Select an action using &mb1..

:p.:hp2.&sm.:ehp2.

:p.:hp2.&sm.:ehp2. may be enabled on a per-use basis by pressing the
:hp1.Ctrl:ehp1. key after the :hp2.&pmpw.:ehp2. is visible (if the
:hp1.Alt+Tab:ehp1. default
:link reftype=hd refid='Popup window page 1'.activation key combination:elink.
is used, or :hp1.Alt:ehp1., if using :hp1.Ctrl+Tab:ehp1.). In this mode, the
:hp2.&pmpw.:ehp2. will remain visible and focused on the screen without having
to hold the :hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key down. In :hp2.&sm.:ehp2.,
switching to the selected task is accomplished by pressing :hp1.Enter:ehp1.
(all other available
:link reftype=hd refid='popuphotkeys'.hotkeys:elink. function normally).

:p.The :hp1.Sticky popup window:ehp1. option on the :link reftype=hd
refid='Popup window page 1'.General &pmpw.:elink. page in the :link
reftype=hd refid='Program Settings'.&lsw. &pn.:elink. makes
:hp2.&sm.:ehp2. the default behavior.

:p.Scrolling the mouse wheel through the list of running tasks in the
:hp2.&pmpw.:ehp2. moves the selection box left and right. Behavior of the
scrollwheel depends upon
:link reftype=fn refid='scrollwheel'.mouse driver and configuration:elink..

:p.The program also supports several :link reftype=hd
refid='popuphotkeys'.hotkeys:elink. when the :hp2.&pmpw.:ehp2. is active. The
available :link reftype=hd refid='popuphotkeys'.hotkeys:elink. and context menu
options differ depending upon the type of running object selected and its
current state (active, minimized/hidden, etc.).

:p.:hp2.&pmpw.:ehp2. background color as well as font and text color may be
changed
by dragging and dropping from the respective WPS palette object while the
:hp2.&pmpw.:ehp2. is in :hp2.&sm.:ehp2.. The colors and fonts are saved with
the other program settings.

:note text='Note 1'.It is necessary to open the &pn. and click :hp2.Save:ehp2.
in order to retain colors and fonts after :hp2.&lsw.:ehp2. is closed and
reopened.

:note text='Note 2'.The PM :link reftype=hd refid='32241'
database='wphelp.hlp'.Alt-Tab Switching Window:elink. option must be
enabled in order to use :hp2.&lsw.'s &pmpw.:ehp2. with
:hp1.Alt-Tab:ehp1. default
:link reftype=hd refid='Popup window page 1'.activation key combination:elink..
This
:link reftype=hd refid='Popup window page 1'.activation key combination:elink.
will not function with OS/2 versions prior to Warp 4.

:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='popuphotkeys'.&pmpw. Hotkeys:elink.
.br
:link reftype=hd refid='Popup window page 1'.General &pmpw. properties
:elink.
.br
:link reftype=hd refid='Popup window page 2'.&pmpw. Exclude filters:elink.
.br
:link reftype=hd refid='40003'.&tmtl.:elink.
:edl.


.* ----------------------------------------------------------------------------
:h2 res=30103 id='popuphotkeys'
    x=left y=bottom width=100% height=100%.&pmpw. Hotkeys

The following hotkeys are available for tasks shown in the
:hp2.&pmpw.:ehp2.&colon.

:dl tsize=6 break=none.
:dt.:hp2.c:ehp2.
:dd.Closes selected task
:dt.:hp2.k:ehp2.
:dd.Closes selected task by using DosKill
:dt.:hp2.g:ehp2.
:dd.Closes selected task by using SigKill (if available)
:dt.:hp2.h:ehp2.
:dd.Hides selected task
:dt.:hp2.s:ehp2.
:dd.Shows selected task
:dt.:hp2.r:ehp2.
:dd.Restores selected task
:dt.:hp2.n:ehp2.
:dd.Minimizes selected task
:dt.:hp2.x:ehp2.
:dd.Maximizes selected task
:dt.:hp2.f:ehp2.
:dd.Adds selected task's switch list entry to the :hp2.&pmpw.:ehp2. Exclude
filters
:dt.:hp2.p:ehp2.
:dd.Opens a dialog to allow setting process priority and delta, as well as
a checkbox to apply such changes to the task's descendants. See
:link reftype=hd refid='30200'.&pd.:elink. for more information.
:dt.:hp2.w or Enter:ehp2.
:dd.Switch to selected task
:dt.:hp2.t:ehp2.
:dd.Tiles selected task
:dt.:hp2.a:ehp2.
:dd.Cascades selected task
:dt.:hp2.m:ehp2.
:dd.Move selected task
:dt.:hp2.F1:ehp2.
:dd.Opens this help file
:dt.:hp2.Shift+F10:ehp2.
:dd.Opens the context menu for the current item
:edl.

:note text='Note 1'.Hotkeys must be passed in lower case.

:note text='Note 2'.Not all hotkeys or functions are available for all types of
windows and/or sessions in all states. Many only work on tasks on the current
virtual desktop.

:note text='Note 3'.The mnemonics and hotkeys in each language are the same.
This is necessary because of the use of the ALT or CTL key to hold the &pmpw.
open. The hotkeys are implemented using keyboard scancodes based on the
keyboard for each language. This may lead to some odd behavior when using
a keyboard and language that don't match. For example a German keyboard swaps
the "y" and "z" keys relative to an English keyboard. This means that the "y" or
"z" hotkey in a German version if run with an English keyboard will not work
as expected (ie to get "y" you would need to press the "z" key).

:p.Since Russian is written in Cyrillic using it with a non-Russian (or using
other languages with a Russian) keyboard would be quite a space adventure. Also
since there are English strings in the Russian menus I have mapped their hotkey
to the same spot the key would appear on an English keyboard.

:p.Bottom line don't use hotkeys and mnemonics if your language and keyboard
don't match. If you want to use Russian with a Russian keyboard please provide
me a Russian translation of the English strings.

:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='30003'.&pmpw.:elink.
.br
:link reftype=hd refid='Popup window page 1'.General &pmpw. properties
:elink.
.br
:link reftype=hd refid='Popup window page 2'.&pmpw. Exclude filters:elink.
.br
:link reftype=hd refid='40003'.&tmtl.:elink.
:edl.


.* ----------------------------------------------------------------------------
:h1 res=40003 id='40003'
    x=left y=bottom width=100% height=100%.&tmtl.

In full screen OS/2 sessions, the :hp2.&tmtl.:ehp2. is displayed upon pressing
the :link reftype=hd refid='Popup window page 1'.activation key
combination:elink. (:hp1.Alt+Tab:ehp1. by default, or alternatively,
:hp1.Ctrl+Tab:ehp1.).

:p.Similar functionality is available by loading the DOS TSR (Terminate Stay
Resident) :hp2.LSWITCHD.EXE:ehp2.. This may be added to :hp2.AUTOEXEC.BAT:ehp2.
or loaded manually from a full screen DOS command prompt.

:note text='Note 1'.In OS/2 and DOS full screen sessions only the left
:hp1.Alt:ehp1.or :hp1.Ctrl:ehp1. key work for activation.

:note text='Note 2'.The path to :hp2.LSWITCHD.EXE:ehp2. must be
:link reftype=fn refid='TSR1'.DOS-accessible:elink..

:note text='Note 3'.The DOS TSR (:hp2.LSWITCHD.EXE:ehp2.) depends
upon :hp2.&lsw.:ehp2. itself (either the :hp2.&tb.:ehp2. or the
:hp2.&wgt.:ehp2.) to be running :link reftype=fn refid='TSR2'.in order to
function:elink..

:p.:hp2.Navigation:ehp2.

:p.Browse up or down through the list of running tasks using the cursor
controls. When the desired task has been selected, simply release the
:hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key. To cancel the selection
and return to the original task, press :hp1.Spacebar:ehp1. before
releasing the :hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key, which
will dismiss the :hp2.&tmtl.:ehp2..

:p.:hp2.&sm.:ehp2.

:p.:hp2.&sm.:ehp2. may be enabled on a per-use basis by pressing the
:hp1.Ctrl:ehp1. key after the :hp2.&tmtl.:ehp2. is visible (if the
:hp1.Alt+Tab:ehp1. default
:link reftype=hd refid='Popup window page 1'.activation key combination:elink.
is used, or :hp1.Alt:ehp1., if using :hp1.Ctrl+Tab:ehp1.). In this mode, the
:hp2.&tmtl.:ehp2. will remain visible and focused on the screen without having
to hold the :hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key down. In :hp2.&sm.:ehp2.,
switching to the selected task is accomplished by pressing :hp1.Enter:ehp1..

:note.:link reftype=hd refid='popuphotkeys'.Hotkeys:elink. and context menus
are not available from the :hp2.&tmtl.:ehp2.

:p.The :hp1.Sticky popup window:ehp1. option on the :link reftype=hd
refid='Popup window page 1'.General &pmpw.:elink. page in the :link
reftype=hd refid='Program Settings'.&lsw. &pn.:elink. makes
:hp2.&sm.:ehp2. the default behavior.

:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='30003'.&pmpw.:elink.
.br
:link reftype=hd refid='Popup window page 1'.General &pmpw. properties
:elink.
.br
:link reftype=hd refid='Popup window page 2'.&pmpw. Exclude filters:elink.
:edl.


.* ----------------------------------------------------------------------------
:h1 res=30004 id='30004'
    x=left y=bottom width=100% height=100%.&tb. &amp. &wgt.

By default, the :hp2.&tb.:ehp2. is shown at the bottom of the screen. The
:hp1.Top of screen:ehp1. radio button on the :link reftype=hd
refid='Taskbar_page_1'.General &tb. properties:elink. page in the :link
reftype=hd refid='Program Settings'.&lsw. &pn.:elink. may be
selected to reposition the :hp2.&tb.:ehp2..

:p.Various properties of the :hp2.&tb.:ehp2. may be configured, including
maximum button width for running tasks, whether the :hp2.&tb.:ehp2. is of
fixed width or resizable, :link reftype=hd refid='Taskbar_page_2'.mouse
button mapping:elink., as well as the style and content of the
buttons, and whether multiple instances of the same program or session
should be grouped together. The :hp2.&tb.:ehp2. may also be set to automatically
hide itself when not needed. Bumping its nearest screen border (top or
bottom) will cause it to be shown.

:p.:hp2.&tb.:ehp2. and :hp2.&wgt.:ehp2. background color as well as font and
text color may be changed by dragging and dropping from the respective WPS
palette object (while the :hp2.&tb.:ehp2. is not in :hp2.&ahm.:ehp2.). It is
possible to drag and drop different colors and fonts corresponding to program
or session state (active, minimized/hidden, etc.). To change the color and font
for the task name tooltip, hold the :hp1.Shift :ehp1.key down while the
tooltip is visible (this will make the tooltip remain on the screen even
when the mouse is not hovering over its related :hp2.&tb.:ehp2. button, and
even when the
:hp2.&tb.:ehp2. is in :hp2.&ahm.:ehp2.). Open the desired palette, and
while holding the :hp1.Shift:ehp1. key, drag and drop a color or font onto
the tooltip. The colors and fonts are saved with the other program settings.

:note.It is necessary to open the &pn. and click :hp2.Save:ehp2. in order to
retain colors and fonts after :hp2.&lsw.:ehp2. is closed and reopened.

:p.Clicking &mb2. on a :hp2.&tb.:ehp2. or :hp2.&wgt.:ehp2. button displays a
context menu with
possible actions for the window corresponding to its type and state. The
menu may appear in one of five different contexts&colon.

:ul compact.
:li.A task :link reftype=fn refid='menu1'.active on the
current desktop:elink..
:li.A task :link reftype=fn refid='menu2'.active on
another desktop:elink. (assuming multiple virtual desktops exist).
:li.A task which has been :link reftype=fn
refid='menu3'.minimized:elink..
:li.A task which has been :link reftype=fn
refid='menu4'.hidden:elink..
:li.A :link reftype=fn refid='menu5'.group:elink. of related tasks
(if the :hp1.Group items:ehp1. option has been set).
:eul.

:p.A :hp2.&tg.'s:ehp2. &mb1. menu provides a list of the group's members, each
of which in
turn has its own context menu (one of the menus listed above).

:p.Clicking &mb2. on the Desktop button, a :hp2.&tg.:ehp2., or
on an unused portion of the :hp2.&tb.:ehp2. or :hp2.&wgt.:ehp2. displays a menu
with the following :hp2.&lsw.:ehp2. items&colon.

:dl tsize=22 break=none.
:dt.:hp2.Run...:ehp2.
.br
:hp1.(&tb. only):ehp1.
:dd.Opens a dialog for specifying (or browsing to) an application to start.
:dt.:hp2.Properties:ehp2.
:dd.Opens the :hp2.&lsw.:ehp2. &pn..
:dt.:hp2.Help:ehp2.
:dd.Opens this file. (The :hp2.&wgt.:ehp2. also allows access to XCenter help.)
:dt.:hp2.Quit:ehp2.
.br
:hp1.(&tb. only):ehp1.
:dd.Exits :hp2.&lsw.:ehp2..
:dt.:hp2.Delete widget:ehp2.
.br
:hp1.(&wgt. only):ehp1.
:dd.Removes the :hp2.&wgt.:ehp2. from the XCenter.
.br
:dt.:hp2.Create new widget:ehp2.
.br
:hp1.(&wgt. only):ehp1.
:dd.Opens a list of available widgets to add to the XCenter (XWP 1.0.13 or higher).
:dt.:hp2.XCenter
.br
properties:ehp2.
.br
:hp1.(&wgt. only):ehp1.
:dd.Opens the XCenter &pn..
:dt.:hp2.Close XCenter:ehp2.
.br
:hp1.(&wgt. only):ehp1.
:dd.Exits the XCenter.
:edl.

:p.:hp1.Shift+&mb1.:ehp1. on the Desktop button in the :hp2.&tb.:ehp2. or the
:hp2.&wgt.:ehp2. lists
all &owl. entries as a menu. Selecting an entry from the &owl. menu switches to
the corresponding task. :hp1.Ctrl+&mb1.:ehp1. on the Desktop button in the
:hp2.&tb.:ehp2.
or the :hp2.&wgt.:ehp2. lists all running processes. Selecting an entry in the
running
process list menu displays a message box with options to kill the corresponding
process or cancel the operation.

:p.The :hp2.&tb.:ehp2. is XPager-aware and is always shown on the current
virtual desktop.

:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Taskbar_page_1'.General &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_2'.Mouse &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_3'.&tb. Exclude filters:elink.
:edl.

.* ----------------------------------------------------------------------------
:h1 res=30200 id='30200'
    x=left y=bottom width=100% height=100%.&pd.

OS/2 switches between tasks dozens of times per second, allowing active programs
to appear to run in parallel. This occurs on single-processor systems and
multi-processor (SMP) systems. As there will always be more active tasks than
physical processors in the system, switching is always required for
multitasking.

:p.A :hp1.thread:ehp1. is OS/2's smallest running program unit for task
switching. A program may utilize one or more threads (sometimes many, and the
exact number may vary as the program runs, depending upon the type of program
and whether it is idle or being actively used). Because one active program may
have more than one thread, task switching may occur between that program's
threads (:hp1.multi-threading:ehp1.), as well as between threads running in
other programs.

:p.The :hp1.scheduler:ehp1. is the part of the OS/2 kernel which manages thread
switching.

:p.In a single thread, program instructions are executed sequentially. In a
multi-threaded application, it may be difficult to observe the order of
execution of one thread's instructions as opposed to another's. On SMP systems,
threads from the same application might actually run concurrently on several
processors. As a result, many things appear to take place simultaneously.

:p.Applications which leverage multi-threading use multiple threads to balance
program operations between background operations (calculations, file I/O, etc.)
and foreground operations (user input or display).

:p.Not all OS/2 software is multi-threaded. Such applications use only one
thread for all operations, and may cause the user interface to stop responding
(block) while performing processor-intensive tasks, or when other hungry
applications are running concurrently.

:p.A :hp1.process:ehp1. is any application which has been loaded into memory.
Each process must have at least one thread.

:p.Threads may have different :hp1.priorities:ehp1.. This is where the
:hp2.&pd.:ehp2. is useful.

:p.Generally, a higher priority thread is given more processor time by the
scheduler than a lower priority one. When more than one thread is internally
marked as ready, the scheduler makes a determination as to which one gets more
processor attention based upon its thread priority.

:p.Threads which are currently blocked (waiting for something else, or in some
other way unable to be executed) do not need processor time. It is generally the
case that the vast majority of threads will be in the blocked state, while a
smaller proportion are actually ready, and thus, consuming processor attention
(time).

:p.OS/2 provides four priority classes, as presented in the :hp2.&pd.:ehp2.,
referring to the main thread of the selected process&colon.

:dl tsize=26 break=none.
:dt.:hp2.Idle-time&colon.:ehp2.
:dd.The lowest priority class (1). The thread only gets processor time if no
higher priority class threads are ready. Useful for background tasks which are
not critical to system operation and which may be delayed until fewer active
tasks are in need of processor time.

:dt.:hp2.Regular&colon.:ehp2.
:dd.The default and most used priority class (2). The OS/2 scheduler changes
priority levels (deltas) dynamically within this class to ensure that no thread
of this class is "starved" for processor time.

:dt.:hp2.Foreground server&colon.:ehp2.
:dd.The second-highest priority class (4) for non-dynamic threads (above dynamic
"regular" class threads). Although this class has the value 4, time-critical
threads take priority over this class. As with regular threads, the scheduler
will dynamically manage processor time for threads within this class.

:dt.:hp2.Time-critical&colon.:ehp2.
:dd.The highest priority class (3). A time-critical priority thread will
:hp1.immediately:ehp1. be given processor time without interruption until
it completes. (Many device drivers will yield processor time only to threads of
this class.)

:p.:hp2.CAUTION&colon.:ehp2. Time-critical threads should only use the minimum
possible processor time because they cannot be interrupted (except by other
time-critical threads). Other non-time-critical threads will not run while a
time-critical thread is running, even if the thread itself yields the CPU via
DosSleep(0). This class is normally only used for network or other
communications, or multimedia applications which might be negatively impacted
if interrupted (time-sensitive I/O).
:edl.

:p.Within each priority class, a thread may be set to a priority level, or
:hp2.Delta:ehp2.. This value (from 0 to +31) assigns the precedence of a thread
within its given priority class and is only used when multiple threads of the
same priority class require processor time.

:p.:hp2.Include descendants:ehp2. applies the priority class and delta to all
threads spawned (started, either before or after making any changes here) from
the task's main thread.

:nt. DOS and Win-OS/2 sessions are by definition single-threaded, and all such
sessions run at regular priority. Within that priority, however, is the
:hp2.SESSION_PRIORITY:ehp2. DOS property, configurable from the program's DOS
properties (or Win16 properties) dialog.

:p.:hp2.SESSION_PRIORITY:ehp2. is set with a slider listing values from 1 to 32,
which maps to the :hp2.Delta:ehp2. values of 0 to +31, referenced above. In this
way, multiple DOS and Win-OS/2 sessions may be configured to give more or less
preference to other currently running DOS and Win-OS/2 sessions. However,
:hp2.SESSION_PRIORITY:ehp2. may :hp1.only:ehp1. be configured for a given DOS or
Win-OS/2 application :hp1.before:ehp1. it is started, and may not be changed for
running programs. As a result, the :hp2.&pd.:ehp2. is not available for these
applications, and will not be listed in the icon's context menu. See
:link reftype=fn refid='DOS-Win-sess-prio'.notable exceptions:elink. to this
behavior.
:ent.

:p.Click :hp2.OK:ehp2. to apply the priority changes or :hp2.Cancel:ehp2. to
leave the dialog without saving changes.

.* ----------------------------------------------------------------------------
:h1 res=30005 id='Program Settings'
    x=left y=bottom width=100% height=100%.Program settings

:hp2.&lsw.:ehp2. may be configured using the &pn., accessible using one of the
following methods:

:ul compact.
:li.the :hp2.&lsw.:ehp2. entry in the &owl.&semi.
:li.the &pn. hotkey combination, :hp1.Ctrl+Alt+S:ehp1. (by default) while
:hp1.not:ehp1. in a full screen session or when the :hp2.&pmpw.:ehp2. is
open&semi. or
:li.Properties from the :hp2.&tb.:ehp2. context menu (&mb2. on an unused area
of the :hp2.&tb.:ehp2.).
:eul.

:p.For the :hp2.&tb.:ehp2., :hp2./I:ehp2. command line option may be used to
specify the
:link reftype=fn refid='INI'.settings file:elink. to use.

:p.The &pn. contains the following pages&colon.

:dl tsize=20 break=none.
:dt.:hp2.&pmpw.:ehp2.
:dd.:link reftype=hd refid='Popup window page 1'.General &pmpw. properties
:elink.
.br
:link reftype=hd refid='Popup window page 2'.&pmpw. Exclude filters:elink.
:dt.:hp2.&tb.:ehp2.
:dd.:link reftype=hd refid='Taskbar_page_1'.General &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_2'.Mouse &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_3'.&tb. Exclude filters:elink.
:dt.:hp2.Miscellaneous:ehp2.
:dd.:link reftype=hd refid='Miscellaneous'.General properties:elink.
:dt.:hp2.About:ehp2.
:dd.Version, build level, and copyright information.
:edl.


.* ----------------------------------------------------------------------------
:h2 res=40001 id='Popup tab'
    x=left y=bottom width=100% height=100%.&pmpw.

Settings on these pages affect the behavior of the :hp2.&pmpw.:ehp2. and
:hp2.&tmtl.:ehp2. only.

:p.The :hp2.&pmpw.:ehp2. tab contains the following pages&colon.

:p.:link reftype=hd refid='Popup window page 1'.General &pmpw. properties
:elink.
.br
:link reftype=hd refid='Popup window page 2'.&pmpw. Exclude filters:elink.



.* ----------------------------------------------------------------------------

:i1 id=30000.Switch to PM from FS sessions
:i1 id=30001.Scroll icons
:i1 id=30002.Show hints
:i1 id=30003.Alt+Tab; Ctrl+Tab
:i1 id=30004.Sticky popup window
.* :i1 id=30005.Scroll message divider

:h3 res=30007 id='Popup window page 1'
    x=left y=bottom width=100% height=100%.General

:hp2.Alt+Tab / Ctrl+Tab:ehp2.

:p.Sets the :hp2.&pmpw.:ehp2. or :hp2.&tmtl.:ehp2. activation hotkey.

:note text='Note 1'.The :hp1.Alt+Tab:ehp1. hotkey combination will not function with OS/2
versions prior to Warp 4.

:note text='Note 2'.4OS2 and 4DOS by default use the :hp1.Ctrl+Tab:ehp1.
hotkey combination to open their filename completion window.

:p.:hp2.Sticky popup window:ehp2.

:p.Makes :hp2.&sm.:ehp2. the default. The :hp2.&pmpw.:ehp2. is not hidden after
releasing the
:hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) modifier key. In :hp2.&sm.:ehp2., switching
to
the selected task is accomplished by pressing :hp1.Enter:ehp1. (all other
available :link reftype=hd refid='popuphotkeys'.hotkeys:elink. function
normally). To disable
:hp2.&sm.:ehp2. temporarily, press the :hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.)
modifier key after
activating the :hp2.&pmpw.:ehp2.

:p.:hp2.Switch to PM from full screen sessions:ehp2.

:p.When enabled, :hp2.&lsw.:ehp2. will switch back to the desktop and display
the :hp2.&pmpw.:ehp2. when activated from a full screen session instead of
displaying the :hp2.&tmtl.:ehp2.. This may
be useful for displays which switch slowly between text and video modes.

:p.:hp2.Scroll icons:ehp2.

:p. Instead of scrolling the selection box in the :hp2.&pmpw.:ehp2. (the
default behavior),
this keeps the selection box stationary and moves the available tasks in the
:hp2.&pmpw.:ehp2..

:p.:hp2.Show hints:ehp2.

:p.Enables display of available keys at the bottom of the :hp2.&pmpw.:ehp2..

:p.:hp2.Save:ehp2.

:p.Saves changes and exits the &pn.

:p.:hp2.Hide:ehp2.

:p.Exits the &pn. without saving changes. Any changes you have made will
persist until &lsw. is restarted or you change them again.


:p.:hp2.Help:ehp2.

:p.Displays this help guide.


:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Popup window page 2'.&pmpw. Exclude filters
:elink.
.br
:link reftype=hd refid='popuphotkeys'.&pmpw. Hotkeys:elink.
.br
:link reftype=hd refid='30003'.&pmpw.:elink.
.br
:link reftype=hd refid='40003'.&tmtl.:elink.
:edl.


.* ----------------------------------------------------------------------------

:i1 id=30006.Current filters
:i1 id=30007.New entry
:i1 id=30008.Add entry
:i1 id=30009.Remove entry

:h3 res=30101 id='Popup window page 2'
    x=left y=bottom width=100% height=100%.Exclude filters

:hp2.Current filters:ehp2.

:p.The list of tasks which are not shown in the :hp2.&pmpw.:ehp2. or
:hp2.&tmtl.:ehp2..

:p.:hp2.New entry:ehp2.

:p.Entry field in which to manually specify a new filter entry.

:note.Wildcards (:hp2.?:ehp2. for a single character&semi. :hp2.*:ehp2. for a
string) are recognized and valid for filter entries. Regular expressions are
not recognized, however.

:p.:hp2.Add entry:ehp2.

:p.Adds a new entry to the list of filters from the list currently running tasks.

:p.:hp2.Remove entry:ehp2.

:p.Removes selected entry from the filter list.

:p.:hp2.Save:ehp2.

:p.Saves changes and exits the &pn..

:p.:hp2.Hide:ehp2.

:p.Exits the &pn. without saving changes. Any changes you have made will
persist until &lsw. is restarted or you change them again.

:p.:hp2.Help:ehp2.

:p.Displays this help guide.


:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Popup window page 1'.General &pmpw. properties
:elink.
.br
:link reftype=hd refid='popuphotkeys'.&pmpw. Hotkeys:elink.
.br
:link reftype=hd refid='30003'.&pmpw.:elink.
.br
:link reftype=hd refid='40003'.&tmtl.:elink.
:edl.


.* ----------------------------------------------------------------------------
:h2 res=40002 id='Taskbar tab'
    x=left y=bottom width=100% height=100%.&tb.

Settings on these pages affect the behavior of the :hp2.&tb.:ehp2. and
:hp2.&wgt.:ehp2. only.

:p.The :hp2.&tb.:ehp2. tab contains the following pages&colon.

:p.:link reftype=hd refid='Taskbar_page_1'.General &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_2'.Mouse &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_3'.&tb. Exclude filters:elink.

:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='30004'.&tb. &amp. &wgt.:elink.
:edl.


.* ----------------------------------------------------------------------------

:i1 id=30010.Enable
:i1 id=30011.Auto hide
:i1 id=30012.Auto resize
:i1 id=30013.Top of screen
:i1 id=30014.Bottom of screen
:i1 id=30015.Reduce desktop workarea
:i1 id=30016.Maximum button width
:i1 id=30017.Group items
:i1 id=30018.Flat buttons
:i1 id=30019.3D look
:i1 id=30020.Allow resizing

:h3 res=30102 id='Taskbar_page_1'
    x=left y=bottom width=100% height=100%.General

:hp2.Enable:ehp2.

:p.Enables :hp2.&tb.:ehp2..

:note.It is possible to use :hp2.&lsw.:ehp2. as a
:link reftype=hd refid='30003'.&pmpw.:elink. and
:link reftype=hd refid='40003'.&tmtl.:elink. only, without either the
:hp2.&tb.:ehp2. or the :hp2.&wgt.:ehp2..

:p.:hp2.Auto hide:ehp2.

:p.Enables :hp2.&ahm.:ehp2.. In this mode, the :hp2.&tb.:ehp2. will slide below
the nearest screen
border. To access it, simply bump the screen border. (:hp1.&tb. only:ehp1..)

:note.If using XWorkplace's Screen Borders feature, be sure to not assign
something else to the screen border closest :hp2.&lsw.'s &tb.:ehp2. to avoid
conflicts. The area of activation has been limited to the left 90% of the
screen border to prevent interference with the XWorkplace's Screen Borders
feature's left corner assignments. If you resize the bar it will be limited
to the length of the bar.

:p.:hp2.Auto hide delay:ehp2.
:p. You can set the delay before the bar re-hides using the spin box at the
bottom of the :hp2.&lsw.'s &tb.:ehp2. settings page. It is incremented in 1/10
second intervals between 1/10 of a second and 5 seconds. 1 second is the default.

:p.:hp2.Allow resizing:ehp2.

:p.When enabled, the :hp2.&tb.:ehp2. length and height may be adjusted by
dragging its upper, right, or one of its corners. (:hp1.&tb. only:ehp1..)

:note text='Note 1'.While the height of the :hp2.&tb.:ehp2. may be adjusted,
the :hp1.button:ehp1. height is fixed. However, extending the height of the
:hp2.&tb.:ehp2. will allow for multiple rows of buttons to be displayed.
Shortening the length of the :hp2.&tb.:ehp2. when both text and icons are
displayed may result in text being truncated. The :hp2.&tb.:ehp2. may also be
shortened to the point where some task icons are no longer visible.

:note text='Note 2'.:hp1.Allow resizing:ehp1. and :hp1.Auto resize:ehp1. are
mutually exclusive.

:p.:hp2.Auto resize:ehp2.

:p.When enabled, the width of the :hp2.&tb.:ehp2. will change dynamically to
accommodate the listed tasks. (:hp1.&tb. only:ehp1..)

:note text='Tip'.To access the :hp2.&tb.:ehp2. context menu, click &mb2. near
the edge of the :hp2.&tb.:ehp2..

:note.:hp1.Auto resize:ehp1. and :hp1.Allow resizing:ehp1. are mutually
exclusive.

:p.:hp2.Flat buttons:ehp2.

:p.Removes separator lines between :hp2.&tb.:ehp2. buttons. (:hp1.&tb.
only:ehp1..)

:p.:hp2.3D look:ehp2.

:p.When enabled, the :hp2.&tb.:ehp2. or :hp2.&wgt.:ehp2. is presented with a
concave appearance such that the buttons are then displayed in relief.

:p.:hp2.Group items:ehp2.

:p.Children of the same parent process are given a single (group)
:hp2.&tb.:ehp2. or :hp2.&wgt.:ehp2. button. Clicking &mb1. on the group button
displays a list of related tasks. Clicking &mb2. on each of these raises its
own context menu. Clicking &mb2. on the group button raises the group's context
menu. Double-clicking &mb1. on the group button selects (opens) the first
member of the group.

:p.:hp2.Icons only:ehp2.

:p.When enabled, :hp2.&tb.:ehp2. and :hp2.&wgt.:ehp2. buttons are displayed
without their titles. Hovering over a button displays the selected task's title
in a tooltip.

:p.:hp2.Top of screen / Bottom of screen:ehp2.

:p.Positions the :hp2.&tb.:ehp2. at the upper or lower screen border.
(:hp1.&tb. only:ehp1..)

:p.:hp2.Reduce Desktop workarea:ehp2.

:p.When enabled, the PM desktop's workarea will be reduced by the height of the
:hp2.&tb.:ehp2.. Enabling this will have the effect that maximized windows will
be vertically sized to the height of the screen minus the height of the
:hp2.&tb.:ehp2.. (:hp1.&tb. only:ehp1.)

:note text='Note 1'.:hp1.Reduce Desktop workarea:ehp1. and :hp1.Auto hide:ehp1.
are mutually exclusive.

:note text='Note 2'.:hp1.Reduce Desktop workarea:ehp1. will not function with
OS/2 versions prior to Warp 4.

:p.:hp2.Maximum button width:ehp2.

:p.Specifies the maximum width of :hp2.&tb.:ehp2. and :hp2.&wgt.:ehp2. buttons.
Note that the actual maximum button width is adjusted such that it is not
larger than this number, and that no partial buttons are displayed on the
:hp2.&tb.:ehp2. or :hp2.&wgt.:ehp2.. Thus, buttons may actually be displayed
smaller than this maximum width.

:p.:hp2.Save:ehp2.

:p.Saves changes and exits the &pn.

:p.:hp2.Hide:ehp2.

:p.Exits the &pn. without saving changes. Any changes you have made will
persist until &lsw. is restarted or you change them again.

:p.:hp2.Help:ehp2.

:p.Displays this help guide.


:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Taskbar_page_2'.Mouse &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_3'.&tb. Exclude filters:elink.
.br
:link reftype=hd refid='30004'.&tb.:elink.
:edl.


.* ----------------------------------------------------------------------------

:i1 id=30021.Mouse actions

:h3 res=30104 id='Taskbar_page_2'
    x=left y=bottom width=100% height=100%.Mouse

:hp2.Switch:ehp2.

:p.This column defines the mouse button(s) used to activate the selected task.
Note that &mb2. is reserved for activating context menus.

:p.:hp2.Minimize/hide:ehp2.

:p.This column defines the mouse button(s) used to minimize or hide the
selected task. Note that &mb2. is reserved for activating context menus.

:p.:hp2.Close:ehp2.

:p.This column defines the mouse button(s) used to exit the selected task. Note
that &mb2. is reserved for activating context menus.

:p.:hp2.Save:ehp2.

:p.Saves changes and exits the &pn.

:p.:hp2.Hide:ehp2.

:p.Exits the &pn. without saving changes. Any changes you have made will
persist until &lsw. is restarted or you change them again.

:p.:hp2.Help:ehp2.

:p.Displays this help guide.


:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Taskbar_page_1'.General &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_3'.&tb. Exclude filters:elink.
.br
:link reftype=hd refid='30004'.&tb.:elink.
:edl.


.* ----------------------------------------------------------------------------

:i1 id=40006.Current filters
:i1 id=40007.New entry
:i1 id=40008.Add entry
:i1 id=40009.Remove entry

:h3 res=30105 id='Taskbar_page_3'
    x=left y=bottom width=100% height=100%.Exclude filters

:hp2.Current filters:ehp2.

:p.The list of tasks which are not shown in the :hp2.&tb.:ehp2. or
:hp2.&wgt.:ehp2..

:p.:hp2.New entry:ehp2.

:p.Entry field in which to manually specify a new filter entry.

:note.Wildcards (:hp2.?:ehp2. for a single character&semi. :hp2.*:ehp2. for a
string) are recognized and valid for filter entries. Regular expressions are
not recognized, however.

:p.:hp2.Add entry:ehp2.

:p.Adds a new entry to the list of filters from the list from the list of
currently running tasks.

:p.:hp2.Remove entry:ehp2.

:p.Removes selected entry from the filter list.

:p.:hp2.Save:ehp2.

:p.Saves changes and exits the &pn.

:p.:hp2.Hide:ehp2.

:p.Exits the &pn. without saving changes. Any changes you have made will
persist until &lsw. is restarted or you change them again.

:p.:hp2.Help:ehp2.

:p.Displays this help guide.

:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Taskbar_page_1'.General &tb. properties:elink.
.br
:link reftype=hd refid='Taskbar_page_2'.Mouse &tb. properties:elink.
.br
:link reftype=hd refid='30004'.&tb.:elink.
:edl.


.* ----------------------------------------------------------------------------

:i1 id=30022.Language
:i1 id=30023.Settings dialog hotkey
:i1 id=30024.Change minimization Z-order
:i1 id=30025.Show &lsw. in &owl.

:h2 res=30106 id='Miscellaneous'
    x=left y=bottom width=100% height=100%.Miscellaneous

:hp2.Language:ehp2.

:p.Specifies the language for program menus and messages. The listbox displays
available languages depending upon the available resource DLLs which have been
installed in the program directory. This change takes effect after closing and
restarting :hp2.&lsw.:ehp2. (if using the :hp2.&tb.:ehp2.) or closing and
restarting the XCenter (if using the :hp2.&wgt.:ehp2.).

:note.All languages are installed by default. If you wish to delete the extra
language resource DLL(s) make sure you change :hp1.Language:ehp1. to one you
aren't going to delete, and click :hp2.Save:ehp2.. Then delete additional
language DLL(s) as desired.

:p.:hp2.Settings dialog hotkey:ehp2.

:p.Defines the activation hotkey combination to access the &pn.

:p.:hp2.Switching to desktop minimizes/hides open windows:ehp2.

:p.When enabled, switching to the Desktop will minimize or hide (depending on
the type of task and properties) all open windows and sessions. Switching to
the Desktop a second time restores the windows and sessions to their previous
positions and visibility.

:p.:hp2.Change minimization Z-order:ehp2.

:p.When minimizing or hiding a task, it will be moved down (behind) one step in
the window Z-order. This makes the task just minimized or hidden appear next,
after the active task upon accessing the :hp2.&pmpw.:ehp2. or :hp2.&tmtl.:ehp2.
again. This option may be overridden for a specific task by holding the left
:hp1.Alt:ehp1. key while minimizing or hiding it.

:note.By default on OS/2, the task just minimized or hidden becomes the
bottom-most window.

:p.:hp2.Show &lsw. in &owl.:ehp2.

:p.When enabled, :hp2.&lsw.:ehp2. will be listed in the &owl., otherwise it is
invisible.

:note.This setting only applies to the :hp2.&tb.:ehp2.&semi. the
:hp2.&wgt.:ehp2. is never listed in the &owl..

:p.:hp2.Save:ehp2.

:p.Saves changes and exits the &pn.

:p.:hp2.Hide:ehp2.

:p.Exits the &pn. without saving changes. Any changes you have made will
persist until &lsw. is restarted or you change them again.

:p.:hp2.Help:ehp2.

:p.Displays this help guide.


:dl tsize=12 break=none.
:dt.:hp2.Related&colon.:ehp2.
:dd.:link reftype=hd refid='Program Settings'.Program Settings:elink.
:edl.


.* ----------------------------------------------------------------------------
:h1 res=30032 id='30032'
    x=left y=bottom width=100% height=100%.Known Problems/Restrictions

Only the English and Spanish resources have been thoroughly tested. In versions
2.71 and 2.90, the base English dialogs were extensively reworked. The same
syntax changes were made to the other national language dialogs. Some items
added to the string tables will appear in English only, until properly
translated.

:p.If anyone is interested in updating the translations we will be happy to
include them in future updates. They should be based on the English dialogs
and menus, located in the resource directory in the source code repository at
Netlabs, or obtained directly from us. The new help file also needs
translation.

:p.Under certain circumstances, a "phantom" button may be left on the
:hp2.&tb./&wgt.:ehp2.. When this happens, a "phantom" entry is also left in the
&owl.. The cause is a PM application started from a VIO which ends with
an open VIO window titled Completed&colon. "program name" (e.g., starting
Mplayer from Firefox to play a video). This is a long standing bug in PM.
The workaround is either to close and restart :hp2.&lsw.:ehp2.
or to place the name of the window (mplayer.exe for the example above)
in the :hp2.&tb.:ehp2. exclude list. CPPCheck-gui.exe also causes this problem.

:p.Pressing the activation hotkey combination (:hp1.Alt+Tab:ehp1. or
:hp1.Ctrl+Tab:ehp1., as configured) in a full screen session and then releasing
:hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) very quickly may result in the
:hp2.&tmtl.:ehp2. not dismissing. Press and release :hp1.Alt:ehp1.
(or :hp1.Ctrl:ehp1.) once more to switch to the selected task.

:p.Only the left :hp1.Alt:ehp1. (or :hp1.Ctrl:ehp1.) key works for
switching in full screen sessions.

:p.Minimized or hidden tasks are always restored to the current virtual
desktop when using XPager. This is an XPager feature/limitation.

:p.This program uses several undocumented operating system features and may not
work properly in some system configurations. If you encounter such problems
please let us know.

:p.The :hp1.Reduce Desktop workarea:ehp1. feature should not be used if it will be
called by another program (i.e., XWorkplace). The behavior is undefined.

:p.It has been reported that :hp2.&lsw.:ehp2. doesn't play well with the
SkyScrapper multi-desktop application. :hp2.&lsw.:ehp2. was reported to
vanish randomly. The current workaround is to use a different virtual desktop
application.

:p.The program appears to be incompatible with the VShield TSR, which is a
part of ViruScan for DOS by Network Associates, Inc. If both
:hp2.LSWITCHD.EXE:ehp2. and :hp2.VSHIELD.EXE:ehp2. are loaded in a DOS session,
this session may crash after some time. The reason appears to be a bug in
VShield's INT08 handler. This is partially confirmed by the fact that VShield
reportedly causes crashes in combination with some other programs hooking this
interrupt. We have not found a reliable workaround for this problem to date,
and as VirusScan for DOS was discontinued sometime before 2007, it is unlikely
we will address this issue.

:p.Currently, Win-OS/2 full screen sessions are not supported by
:hp2.&lsw.:ehp2.. Pressing the default
:link reftype=hd refid='Popup window page 1'.activation key combination:elink.
(:hp1.Alt+Tab:ehp1.) from an active Win-OS/2 full screen session will produce
the familiar Win-OS/2 task switcher. If :hp1.Ctrl+Tab:ehp1. has been configured
as the
:link reftype=hd refid='Popup window page 1'.activation key combination:elink.,
it is also ignored by Win-OS/2 (focus changes to available program groups and
running tasks in Program Manager).


.* ----------------------------------------------------------------------------
:h1 res=30033 id='30033'
    x=left y=bottom width=100% height=100%.Changes

See :hp2.History:ehp2. in the installation directory.


.* ----------------------------------------------------------------------------
:h1 res=30034 id='30034'
    x=left y=bottom width=100% height=100%.Acknowledgments

The original author&colon.

:p.Andrei Los

:p.The Netlabs &lsw. Team

:p.Andy Willis
.br
Gregg Young
.br
Steven Levine
.br
Lewis Rosenthal
.br
Alfredo Fernndez Daz

:p.We would like to thank the following people and projects for comments,
suggestions, bug reports, and other feedback&colon.

:p.Doug Bissett
.br
Julian Buss
.br
Alessandro Cantatore
.br
Alexander Conon
.br
"Doodle"
.br
Ian Douglas
.br
Don "Freiheit" Eitner
.br
Tim Erickson
.br
Alfredo Fernndez Daz
.br
Javier Arias Fernndez
.br
Klaus Fuchs
.br
Michel Goyette
.br
Cristiano Guadagnino
.br
Tomas Hajny
.br
Johann Harrieder
.br
Martn Itrbide
.br
Reb James
.br
Andreas Ludwig
.br
"Jiki"
.br
John Martin
.br
David Mediavilla
.br
Nenad Milenkovic
.br
Romulo Silva Neiva
.br
Nick
.br
Dmitry Novoseletsky
.br
Sander Nyman
.br
Konstantin Okounkov
.br
Dariusz Piatkowski
.br
Lech Wiktor Piotrowski
.br
Henk Pol
.br
Sergey Posokhov
.br
Mike Reichel
.br
Loris Rinaldo
.br
Antonio Manara Rossini
.br
Danis Tazetdinov
.br
Rich Walsh
.br
Karel Wesseling
.br
John Wibawa
.br
Sebastian Wittmeier
.br
Denis Zavorotny
.br
Vladislav Zhuk
.br
The XWorkplace project (the &pd. topic background information was based heavily
upon the XWorkplace documentation) https&colon.//trac.netlabs.org/xworkplace

:p.Special thanks to the following people who provided translation of the
:hp2.README.TXT:ehp2. and program resources and thus made the existence of
localized versions of :hp2.&lsw.:ehp2. possible&colon.

:p.Tomas Hajny &emdash. Czech translation
.br
Alfredo Fernndez Daz &emdash. Spanish translation
.br
Tae Wong &emdash. Polish translation

.* ----------------------------------------------------------------------------
:h1 res=30035 id='30035'
    x=left y=bottom width=100% height=100%.Contact Information

If you have any comments on this program, please contact the Netlabs &lsw.
Group&colon.

:p.Gregg Young ygk&atsign.qwest.net
.br
Andy Willis abwillis1&atsign.gmail.com

:p.If you find a defect or wish to request an enhancement please file a ticket
at https&colon.//trac.netlabs.org/lswitcher

:p.Mailing Lists

:p.There are currently two mailing lists for &lsw.&colon. one for users,
and one for developers.

:p.To subscribe to the developer list&colon.
.br
Send email to&colon. lswitcher-dev-on&atsign.2rosenthals.com and reply to the
confirmation email.

:p.To subscribe to the user list&colon.
.br
Send email to&colon. lswitcher-user-on&atsign.2rosenthals.com and reply to the
confirmation email.

:p.Web archives of lists are available here&colon.
.br
    http&colon.//lists.2rosenthals.com/lswitcher-dev/List.html
.br
    http&colon.//lists.2rosenthals.com/lswitcher-user/List.html

.* ----------------------------------------------------------------------------
:h1 res=30036 id='30036'
    x=left y=bottom width=100% height=100%.Copyright

&lsw. Version 2.92.0

:p.Copyright  &bx0012. 2010-2020 Netlabs &lsw. Team
.br
Copyright  &bx0012. 1997-2009  Andrei Los

:p.The full source code is available from
https&colon.//svn.netlabs.org/repos/lswitcher/trunk .
.br
See https&colon.//trac.netlabs.org/lswitcher for details.


.* ............................................................................
:h1 res=30039 id='30039'
    x=left y=bottom width=100% height=100%.License

.im gpl2.ipf


.* ----------------------------------------------------------------------------
:h1 res=30037 id='30037'
    x=left y=bottom width=100% height=100%.Notices

IBM, OS/2, Presentation Manager, Workplace Shell, and Win-OS/2 are trademarks
of International Business Machines Corporation in the United States and/or
other countries.

:p.Microsoft, Windows, Win-OS/2, and Program Manager are trademarks of
Microsoft Corporation in the United States and/or other countries.

:p.ArcaOS is a trademark of Arca Noae, LLC in the United States and/or other
countries.

:p.eComStation and eCS are trademarks of Xeu.com BV in The Netherlands and/or
other countries.

:p.Other products mentioned may be trademarks of their respective owners.



.* ----------------------------------------------------------------------------
:fn id='debug'.

:p.We recommend you install Exceptq. It can be found on Hobbes
https&colon.//hobbes.nmsu.edu or installed using the Arca
Noae Package Manager. With Exceptq installed, the :hp2.&tb.:ehp2. will
generate a &asterisk..TRP file in the :hp2.&lsw.:ehp2. directory if a serious
problem occurs.

:p.Any errors which the :hp2.&wgt.:ehp2. may encounter are reported in
:hp2.XWPLOG.LOG:ehp2. in the root of the boot volume or in the directory
specified by the &percent.LOGFILES&percent. variable in :hp2.CONFIG.SYS:ehp2.
(usually, :hp2.&lt.BootDrive&gt.&colon.\VAR\LOG:ehp2.).
:efn.


.* ----------------------------------------------------------------------------
:fn id='INI'.

:p.:hp2.&tb.:ehp2. settings are saved in :hp2.LSWITCH.INI:ehp2. or in the
filename
specified in the :hp2./I:ehp2.&lt.inifilename&gt. startup switch. This file
must be located in the same directory as the program executable.

:p.:hp2.&wgt.:ehp2. settings are always saved in :hp2.LSWITCH.INI:ehp2.,
located in the
XCenter widgets directory.

:note text='Note 1'.If a full path is specified for &lt.inifilename&gt., the
file will be read at startup but any attempt to save settings will result in an
error message and such changes will :hp1.not:ehp1. be written to the file.

:note text='Note 2'.Sharing the :hp2.LSWITCH.INI:ehp2. between the
:hp2.&tb.:ehp2. and the
:hp2.&wgt.:ehp2. is not recommended.
:efn.


.* ----------------------------------------------------------------------------
:fn id='menu1'.

:dl tsize=16 break=none.
:dt.:hp2.Switch to&colon.:ehp2.
:dd.Omitted for the window currently in focus.
:dt.:hp2.Cascade:ehp2.
:dd.Omitted for tasks not running on the current virtual desktop.
:dt.:hp2.Tile:ehp2.
:dd.Omitted for tasks not running on the current virtual desktop.
:dt.:hp2.Minimize
.br
or Hide:ehp2.
:dd.Task-dependent. Omitted for tasks not running on the current virtual
desktop.
:dt.:hp2.Maximize:ehp2.
:dd.Omitted for tasks not running on the current virtual desktop.
:dt.:hp2.Move:ehp2.
:dd.Available for tasks on the current virtual desktop.
:dt.:hp2.Close:ehp2.
:dd.Provides a submenu with an option to close (:hp1.Close:ehp1.)
and up to two options to kill a running task
(:hp1.DosKill:ehp1., :hp1.SigKill:ehp1.).

:note.:hp1.SigKill:ehp1. is only available if :hp1.XF86SUP.SYS:ehp1. or
:hp1.CADH.SYS:ehp1. process killer driver is installed. :hp1.XF86SUP.SYS:ehp1. is
available on Hobbes&colon. :hp1.CADH.SYS:ehp1. is part of the ArcaOS and eCS
default installations.
.br
https&colon.//hobbes.nmsu.edu/

:dt.:hp2.Priority...:ehp2.
:dd.Opens a dialog to allow setting process priority and delta, as well as
a checkbox to apply such changes to the task's descendants. See
:link reftype=hd refid='30200'.&pd.:elink. for more information. Not available
for DOS and Win-OS/2 sessions.
:dt.:hp2.Add filter:ehp2.
:dd.Adds selected task to the :hp2.&tb.'s:ehp2. Exclude filters. The task's icon
is
immediately hidden.
:dt.:hp2.&lsw.
.br
widget:ehp2.
.br
(:hp1.&wgt. only:ehp1.)
:dd.Provides a submenu including :hp1.Properties:ehp1. and :hp1.Help:ehp1., as
well as XCenter-specific selections.
:edl.
:efn.


.* ----------------------------------------------------------------------------
:fn id='menu2'.

:dl tsize=16 break=none.
:dt.:hp2.Switch to&colon.:ehp2.
:dd.Omitted for the window currently in focus.
:dt.:hp2.Move:ehp2.
:dd.Available for tasks on the current virtual desktop.
:dt.:hp2.Close:ehp2.
:dd.Provides a submenu with an option to close (:hp1.Close:ehp1.)
and up to two options to kill a running task
(:hp1.DosKill:ehp1., :hp1.SigKill:ehp1.).

:note.:hp1.SigKill:ehp1. is only available if :hp1.XF86SUP.SYS:ehp1. or
:hp1.CADH.SYS:ehp1. process killer driver is installed. :hp1.XF86SUP.SYS:ehp1. is
available on Hobbes&colon. :hp1.CADH.SYS:ehp1. is part of the Arca OS and eCS
default installations.
.br
http&colon.//hobbes.nmsu.edu/

:dt.:hp2.Priority...:ehp2.
:dd.Opens a dialog to allow setting process priority and delta, as well as
a checkbox to apply such changes to the task's descendants. See
:link reftype=hd refid='30200'.&pd.:elink. for more information. Not available
for DOS and Win-OS/2 sessions.
:dt.:hp2.Add filter:ehp2.
:dd.Adds selected task to the :hp2.&tb.'s:ehp2. Exclude filters. The task's icon
is
immediately hidden.
:dt.:hp2.&lsw.
.br
widget:ehp2.
.br
(:hp1.&wgt. only:ehp1.)
:dd.Provides a submenu including :hp1.Properties:ehp1. and :hp1.Help:ehp1., as
well as XCenter-specific selections.
:edl.
:efn.


.* ----------------------------------------------------------------------------
:fn id='menu3'.

:dl tsize=16 break=none.
:dt.:hp2.Switch to&colon.:ehp2.
:dd.Omitted for the window currently in focus.
:dt.:hp2.Close:ehp2.
:dd.Provides a submenu with an option to close (:hp1.Close:ehp1.)
and up to two options to kill a running task
(:hp1.DosKill:ehp1., :hp1.SigKill:ehp1.).

:note.:hp1.SigKill:ehp1. is only available if :hp1.XF86SUP.SYS:ehp1. or
:hp1.CADH.SYS:ehp1. process killer driver is installed. :hp1.XF86SUP.SYS:ehp1. is
available on Hobbes&colon. :hp1.CADH.SYS:ehp1. is part of the Arca OS and eCS
default installations.
.br
http&colon.//hobbes.nmsu.edu/

:dt.:hp2.Priority...:ehp2.
:dd.Opens a dialog to allow setting process priority and delta, as well as
a checkbox to apply such changes to the task's descendants. See
:link reftype=hd refid='30200'.&pd.:elink. for more information. Not available
for DOS and Win-OS/2 sessions.
:dt.:hp2.Add filter:ehp2.
:dd.Adds selected task to the :hp2.&tb.'s:ehp2. Exclude filters. The task's icon
is
immediately hidden.
:dt.:hp2.&lsw.
.br
widget:ehp2.
.br
(:hp1.&wgt. only:ehp1.)
:dd.Provides a submenu including :hp1.Properties:ehp1. and :hp1.Help:ehp1., as
well as XCenter-specific selections.
:edl.
:efn.


.* ----------------------------------------------------------------------------
:fn id='menu4'.

:dl tsize=16 break=none.
:dt.:hp2.Switch to&colon.:ehp2.
:dd.Omitted for the window currently in focus.
:dt.:hp2.Show:ehp2.
:dd.Unhide hidden task.
:dt.:hp2.Cascade:ehp2.
:dd.Omitted for tasks not running on the current virtual desktop.
:dt.:hp2.Tile:ehp2.
:dd.Omitted for tasks not running on the current virtual desktop.
:dt.:hp2.Maximize:ehp2.
:dd.Omitted for tasks not running on the current virtual desktop.
:dt.:hp2.Close:ehp2.
:dd.Provides a submenu with an option to close (:hp1.Close:ehp1.
and up to two options to kill a running task
(:hp1.DosKill:ehp1., :hp1.SigKill:ehp1.).

:note.:hp1.SigKill:ehp1. is only available if :hp1.XF86SUP.SYS:ehp1. or
:hp1.CADH.SYS:ehp1. process killer driver is installed. :hp1.XF86SUP.SYS:ehp1. is
available on Hobbes&colon. :hp1.CADH.SYS:ehp1. is part of the Arca OS and eCS
default installations.
.br
http&colon.//hobbes.nmsu.edu/

:dt.:hp2.Priority...:ehp2.
:dd.Opens a dialog to allow setting process priority and delta, as well as
a checkbox to apply such changes to the task's descendants. See
:link reftype=hd refid='30200'.&pd.:elink. for more information. Not available
for DOS and Win-OS/2 sessions.
:dt.:hp2.Add filter:ehp2.
:dd.Adds selected task to the :hp2.&tb.'s:ehp2. Exclude filters. The task's icon
is
immediately hidden.
:dt.:hp2.&lsw.
.br
widget:ehp2.
.br
(:hp1.&wgt. only:ehp1.)
:dd.Provides a submenu including :hp1.Properties:ehp1. and :hp1.Help:ehp1., as
well as XCenter-specific selections.
:edl.
:efn.


.* ----------------------------------------------------------------------------
:fn id='menu5'.

:dl tsize=16 break=none.
:dt.:hp2.Run&colon.:ehp2.
.br
(:hp1.&tb. only:ehp1.)
:dd.Opens a dialog for specifying (or browsing to) an application to start.
:dt.:hp2.Properties:ehp2.
.br
(:hp1.&tb. only:ehp1.)
:dd.Opens the :hp2.&lsw.:ehp2. &pn..
:dt.:hp2.Help:ehp2.
.br
(:hp1.&tb. only:ehp1.)
:dd.Opens this help file.
:dt.:hp2.Quit:ehp2.
.br
(:hp1.&tb. only:ehp1.)
:dd.Exits :hp2.&lsw.:ehp2..
:dt.:hp2.&lsw.
.br
widget:ehp2.
.br
(:hp1.&wgt. only:ehp1.)
:dd.Provides a submenu including :hp1.Properties:ehp1. and :hp1.Help:ehp1., as
well as XCenter-specific selections.
:edl.
:efn.


.* ----------------------------------------------------------------------------
:fn id='TSR1'.

:p.Every directory in the path from the root to the location of the executable
must conform to DOS :hp1.8.3:ehp1. naming conventions (no longer than eight
characters, a dot, and a three-character extension). It may be necessary to
move or copy :hp2.LSWITCHD.EXE:ehp2. to another location after the WarpIN
installation to ensure this.
:efn.


.* ----------------------------------------------------------------------------
:fn id='TSR2'.

:p.While it does no harm to load the TSR when :hp2.&lsw.:ehp2. is not active,
the enhanced task switching capabilities provided by the :hp2.&lsw.'s
&tmtl.:ehp2.
will not be available.
:efn.


.* ----------------------------------------------------------------------------
:fn id='scrollwheel'.

:p.A scrollwheel-aware mouse driver, such as AMouse, is required in order to
utilize this functionality. In addition, settings for wheel speed and modifier
keys may make scrolling difficult if not impossible to use.

:p.For example, if using the default activation key combination
(:hp1.Alt+Tab:ehp1.), the :hp2.&pmpw.:ehp2. must be switched to :hp2.&sm.:ehp2.
unless :hp1.Alt+Wheel:ehp1. has been enabled for scrolling. Otherwise, the
:hp1.Alt:ehp1. keypress is sent to AMouse as a modifier key.

:p.Likewise, wheel speed is critical for proper resolution. AMouse's default
wheel speed of 3 will likely result in an inability to easily select a task
adjacent to the currently focused one in the :hp2.&pmpw.:ehp2..
:efn.


.* ----------------------------------------------------------------------------
:fn id='DOS-Win-sess-prio'.

:p.Some DOS and/or Win-OS/2 sessions may indeed show the :hp2.&pd.:ehp2., as it
may not be possible to determine that they are, in fact, DOS sessions. In these
cases, even if the :hp2.&pd.:ehp2. :hp1.is:ehp1. displayed, changing process
priority or delta will have no effect, and subsequent re-opening of the
:hp2.&pd.:ehp2. will reflect the original settings.
:efn.

:euserdoc.
